API referenceBidding Spot Reference Data
POST /api/SpotReference/GetMarketPartiesBySpotOrderTypeAndDate
Returns market parties configured for Hybrid, Block, or XBID orders on the target date. Use the selected party ID in subsequent entity and order requests.
POST
/api/SpotReference/GetMarketPartiesBySpotOrderTypeAndDatecurl -X POST "/api/SpotReference/GetMarketPartiesBySpotOrderTypeAndDate" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"spotOrderType": 1,
"targetDate": "2026-01-15T09:30:00Z"
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataAtlas.SDK.Bidding.Models.Spot.MarketPartiesBySpotOrderTypeAndDateRequest
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.ForwardMarket.MarketPartyInfoDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"counterPartyId": 0,
"eic": "string"
}
]
}